# DMMGGetRHS

Returns the right hand side vector from a DMMG solve on the finest grid

### Synopsis

    Vec DMMGGetRHS(DMMG *dmmg)

Not Collective, but resulting vector is parallel

### Input Parameters

dmmg -DMMG solve context

### Fortran Usage

DMMGGetRHS(DMMG dmmg,Vec b,PetscErrorCode ierr) -

### See Also

DMMGCreate(), DMMGSetSNES(), DMMGSetKSP(), DMMGSetSNESLocal(), DMMGGetRHS()

Level:intermediate
Location: src/snes/utils/../../../include/petscdmmg.h
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex22.c.html
src/ksp/ksp/examples/tutorials/ex25.c.html
src/ksp/ksp/examples/tutorials/ex28.c.html
src/ksp/ksp/examples/tutorials/ex29.c.html
src/ksp/ksp/examples/tutorials/ex32.c.html
src/ksp/ksp/examples/tutorials/ex33.c.html
src/ksp/ksp/examples/tutorials/ex34.c.html
src/snes/examples/tutorials/ex31.c.html